/**
 * Asunto-tehtvn vastaukset
 * @author Vesa Lappalainen
 * @version 1.0, 25.02.2003
 */
public class Asunto2 {
  private static void tulosta(String s) { System.out.println(s); }

  private Huone2 olohuone;
  private Huone2 makuuhuone;

  public Asunto2() {
    olohuone = new Huone2("huone",2,2,2,0);
    makuuhuone = new Huone2("huone",2,2,2,0);
  }
  public Asunto2(Huone2 h1,Huone2 h2) { olohuone = h1; makuuhuone = h2;}

  public double ala()      { return olohuone.ala()+makuuhuone.ala();          }
  public double tilavuus() { return olohuone.tilavuus()+makuuhuone.tilavuus();}
  public int getKaappeja() { return olohuone.getKaappeja()+makuuhuone.getKaappeja();}

  public void lisaa_kaappeja() {
    Huone2 huone = olohuone;
    if ( makuuhuone.getKaappeja() < olohuone.getKaappeja() )
      huone = makuuhuone;
    huone.lisaa_kaappeja();
 }

 public void tulosta() {
      tulosta("");
      tulosta("Asunto:");
      olohuone.tulosta();
      makuuhuone.tulosta();
      Huone2.tulosta_rivi("yhteens",ala(),tilavuus(),getKaappeja());
  }

  public static void main(String[] args)  {
    Asunto2 kaksio = new Asunto2(new Huone2("olohuone",3,4,2,0),
                                 new Huone2("makuuhuone",3,3,2,0));
    kaksio.tulosta();
    tulosta("");
    for (int i=0; i<5; i++)
      kaksio.lisaa_kaappeja();
    kaksio.tulosta();
    tulosta("");
  }
}
