/**
 * Huoneet taulukoksi
 * @author Vesa Lappalainen
 * @version 1.0, 2.02.2003
 */
public class Asunto3 {
  private static void tulosta(String s) { System.out.println(s); }

  private static final int MAX_HUONEITA = 6;

  private Huone2 huoneet[] = new Huone2[MAX_HUONEITA];
  private int huoneita = 0;

  public Asunto3() {  }

  public void lisaa(Huone2 huone) {
    if ( huoneita >= MAX_HUONEITA ) return;
    huoneet[huoneita] = huone; huoneita++;
  }

  public double ala() {
    double s = 0;
    for (int i=0; i<huoneita; i++) s += huoneet[i].ala();
    return s;
  }

  public double tilavuus() {
    double s = 0;
    for (int i=0; i<huoneita; i++) s += huoneet[i].tilavuus();
    return s;
  }

  public int getKaappeja() {
    int s = 0;
    for (int i=0; i<huoneita; i++) s += huoneet[i].ala();
    return s;
  }

  public void lisaa_kaappeja() {
    if ( huoneita == 0 ) return;
    Huone2 huone = huoneet[0];
    double s = 0;
    for (int i=1; i<huoneita; i++)
      if ( huoneet[i].getKaappeja() < huone.getKaappeja() )
        huone = huoneet[i];
    huone.lisaa_kaappeja();
  }

  public void tulosta() {
    tulosta("");
    tulosta("Asunto:");
    for (int i=0; i<huoneita; i++) huoneet[i].tulosta();
    Huone2.tulosta_rivi("yhteens",ala(),tilavuus(),getKaappeja());
  }

  public static void main(String[] args)  {
    Asunto3 kaksio = new Asunto3();
    kaksio.lisaa(new Huone2("olohuone",3,4,2,0));
    kaksio.lisaa(new Huone2("makuuhuone",3,3,2,0));
    kaksio.lisaa(new Huone2("keitti",2,3,2,0));
    kaksio.tulosta();
    tulosta("");
    for (int i=0; i<5; i++)
      kaksio.lisaa_kaappeja();
    kaksio.tulosta();
    tulosta("");
  }
}
