import fi.jyu.mit.ohj2.*;
/**
 * Vastukset Huone-tehtvn.
 * @author Vesa Lappalainen
 * @version 1.0, 25.02.2003
 */
public class Huone2 {
  private static void tulosta(String s) { System.out.println(s); }

  /**
   * tulosta_rivi("olohuone",12,24,1) tulostaa rivin muodossa:<br>
   * olohuone    12 m2 24 m3  1 kaappia
   * @param teksti teksti joka tulostuu rivin alkuun
   * @param ala tulostettava pinta-ala
   * @param tilavuus tulostettava tilavuus
   * @param kaappeja tulostettava kaappien lukumr
   */
  public static void tulosta_rivi(String teksti,double ala, double tilavuus, int kaappeja) {
    tulosta(Mjonot.fmt(teksti,-10) + "  " +
            Mjonot.fmt(ala,2,0) + " m2 " +
            Mjonot.fmt(tilavuus,2,0) + " m3  " +
            Mjonot.fmt(kaappeja,2) + " kaappia");
  }

  private String nimi;
  private double pit,lev,kork;
  private int kaappeja;
  Huone2(String n, double p, double l, double k, int kaap)
      { nimi=n; pit=p; lev=l; kork=k; kaappeja=kaap; }
  double ala()                { return pit*lev;                              }
  double tilavuus()           { return ala()*kork;                           }
  int    getKaappeja()        { return kaappeja;                             }
  void   lisaa_kaappeja()     { kaappeja++;                                  }
  void   tulosta()            { tulosta_rivi(nimi,ala(),tilavuus(), getKaappeja()); }

  public static void main(String[] args)  {
    Huone2 olohuone = new Huone2("olohuone",3,4,2,0);
    olohuone.tulosta();
    olohuone.lisaa_kaappeja();
    olohuone.tulosta();
  }
}
